Dropped support for Joomla 2.5

Published in Blog by Tassos Marinos on Saturday, 26 September 2015

Dropped support for Joomla 2.5

As many of you know support for Joomla 2.5 was discontinued at the end of 2014 by the Joomla! organization as conveyed here, and all focuses are now on Joomla 3 and beyond.

It is time for us to drop support and updates to Joomla 2.5 as well.

Joomla 2.5.28 is the latest release of the Joomla 2.5 range and there will be no more releases for Joomla 2.5. New releases will be for Joomla 3 only. There will be no update notifications in Joomla 2.5 setups when new versions are released.

Upgrade to Joomla 3!

Here are some good resources on upgrading from Joomla 2.5 to Joomla 3:

What you need to know for upgrading sites running our extensions

All our extensions at the time of this writing (September 2015) are compatible with both Joomla! 2.5 and Joomla! 3.4. You do not need to do anything special to migrate a Joomla! 2.5 site to Joomla! 3 as far as our extensions are concerned.

I can't upgrade to Joomla 3

Whatever the reason is that you can't/won't upgrade to Joomla 3 is not good enough. We'll try to offer support for your Joomla 2.5 setup. However, do not expect any new releases with bugfixes.